typedef struct
{
	/* /proc/.../stat */
	struct __f_stat__
	{
              int pid;
              char comm[16 + 1 + 2];
              char state;
              int ppid;
              int pgrp;
              int session;
              int tty_nr;
              int tpgid;
              unsigned long int flags;
              unsigned long int minflt;
              unsigned long int cminflt;
              unsigned long int majflt;
              unsigned long int cmajflt;
              unsigned long int utime;
              unsigned long int stime;
              long int cutime;
              long int cstime;
              long int priority;
              long int nice;
              int itrealvalue;
              unsigned long long int starttime;
              unsigned long int vsize;
              long int rss;
              unsigned long int rsslim;
              unsigned long int startcode;
              unsigned long int endcode;
              unsigned long int startstack;
              unsigned long int kstkesp;
              unsigned long int kstkeip;
              unsigned long int signal;
              unsigned long int blocked;
              unsigned long int sigignore;
              unsigned long int sigcatch;
              unsigned long int wchan;
              unsigned long int nswap;
              unsigned long int cnswap;
              int exit_signal;
              int processor;
              unsigned long int rt_priority;
              unsigned long int policy;
	      unsigned long long int blkio_tics;
	} f_stat;

	/* /proc/.../cmdline */
	char cmdline[4096];

} proc_t;

void load_proc(char *proc_dir, proc_t **pproc, int *n_proc);
proc_t * find_proc_by_pid(proc_t *proc_list, int n_proc, int pid);
void free_proc_list(proc_t **pproc, int *n_proc);
