#define SCHED_TS	0	/* timestamp */
#define SCHED_LOAD	1	/* display current load */
#define SCHED_MEMINFO	2	/* free memory and such */
#define SCHED_UPTIME	3	/* uptime & # users */
#define SCHED_PROCINFO	4	/* cpu & memory usage */

#define N_SCHED		5

/* Default Interval */
#define DI_LOAD		5
#define DI_TS		300
#define DI_MEMINFO	5
#define DI_UPTIME	30
#define DI_PROCINFO	5

typedef struct
{
	int what;
	time_t last_run;
	int interval;
} sched_t;

void sleep_untill_next_event(sched_t *psched, int n_sched);
